// SenderProxy.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System;
using System.Configuration;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Runtime.Serialization;

namespace Microsoft.Presto.StarterKit.NonNormative
{
    public partial class formSenderProxy : Form
    {
        PrestoChannelFactory proxy = new PrestoChannelFactory();

        public formSenderProxy()
        {
            InitializeComponent();

            OutputTrace.OnLogMessage += new OutputTrace.LogDelegate(OutputTrace_OnLogMessage);
        }

        void OutputTrace_OnLogMessage(string message)
        {
            this.BeginInvoke(new OutputTrace.LogDelegate(LogMessage), new object[] { message });
        }

        private void LogMessage(string message)
        {
            this.textBoxTrace.AppendText(Environment.NewLine + message);
        }

        private void buttonSubmit1_Click(object sender, EventArgs e)
        {
            proxy.Submit1Message("payload");
        }

        private void buttonSubmit2_Click(object sender, EventArgs e)
        {
            proxy.Submit2Message("payload");
        }

        private void buttonClearTrace_Click(object sender, EventArgs e)
        {
            this.textBoxTrace.Text = "";
        }
    }
}